Bug 8297 - ldb tools man pages should be removed from the release tar ball
ldb tools man pages should be removed from the release tar ball
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: Docs
3.6.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba Documentation QA Contact~
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-08 14:55 UTC by Björn Jacke
Modified: 2011-08-09 19:24 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Jacke 2011-07-08 14:55:31 UTC
3.6 doesn't contain ldb tools any longer but the ldb*.1 man pages are still in the release tar ball they should be removed, too.
Comment 1 Karolin Seeger 2011-07-12 19:14:31 UTC
Fixed with commit 73e66730.
Thanks for reporting!

Closing out bug report.
Comment 2 Björn Jacke 2011-08-09 14:18:51 UTC
slipped in again ?

tar tvjf ../SOURCES/samba-3.6.0.tar.bz2 |grep ldb|grep manpa
-rw-r--r-- samba/users    2351 2011-04-01 19:25:30 samba-3.6.0/docs/htmldocs/manpages/ldbmodify.1.html
-rw-r--r-- samba/users    7485 2011-04-01 19:25:26 samba-3.6.0/docs/htmldocs/manpages/ldb.3.html
-rw-r--r-- samba/users    2483 2011-04-01 19:25:28 samba-3.6.0/docs/htmldocs/manpages/ldbdel.1.html
-rw-r--r-- samba/users    2517 2011-04-01 19:25:27 samba-3.6.0/docs/htmldocs/manpages/ldbadd.1.html
-rw-r--r-- samba/users    2711 2011-04-01 19:25:31 samba-3.6.0/docs/htmldocs/manpages/ldbsearch.1.html
-rw-r--r-- samba/users    4719 2011-04-01 19:25:29 samba-3.6.0/docs/htmldocs/manpages/ldbedit.1.html
-rw-r--r-- samba/users    2483 2011-04-01 19:25:30 samba-3.6.0/docs/htmldocs/manpages/ldbrename.1.html
-rw-r--r-- samba/users    1789 2011-06-07 11:58:20 samba-3.6.0/docs/manpages/ldbmodify.1
-rw-r--r-- samba/users    1927 2011-06-07 11:58:18 samba-3.6.0/docs/manpages/ldbadd.1
-rw-r--r-- samba/users    7544 2011-06-07 11:58:17 samba-3.6.0/docs/manpages/ldb.3
-rw-r--r-- samba/users    1894 2011-06-07 11:58:18 samba-3.6.0/docs/manpages/ldbdel.1
-rw-r--r-- samba/users    2021 2011-06-07 11:58:21 samba-3.6.0/docs/manpages/ldbsearch.1
-rw-r--r-- samba/users    1845 2011-06-07 11:58:21 samba-3.6.0/docs/manpages/ldbrename.1
-rw-r--r-- samba/users    3506 2011-06-07 11:58:19 samba-3.6.0/docs/manpages/ldbedit.1
Comment 3 Karolin Seeger 2011-08-09 19:24:57 UTC
Sorry, that has happened by accident.
(Currently, 'make release' does not create the Samba3-HOWTO collection, so I rebuilt the manpages, rsynced them to the older docs and did not use the '--delete' option.)

But the manpages have been removed from the docs-xml dir.
So I'll close out the bug report again (and removed the ldb files manually to make sure not to use them for 3.6.1 also).